<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_runtime_preview_generator.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">RuntimePreviewGenerator Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#adcf64a1695929089fca35bb04c2d2f46">BackgroundColor</a></td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#ac8dfab2d08210997b17b9d38fa6f9027">CalculateBounds</a>(Transform target, out Bounds bounds)</td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#a416710bd5be5d05d0efb2fd27f306e99">CalculateCameraPosition</a>(Camera camera, Bounds bounds, float padding=0f)</td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#a5629b38838c595b8159a834cbdd20fe4">GenerateMaterialPreview</a>(Material material, PrimitiveType previewObject, int width=64, int height=64)</td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#a2a7615550e72601135912b718db421dc">GenerateMaterialPreviewWithShader</a>(Material material, PrimitiveType previewPrimitive, Shader shader, string replacementTag, int width=64, int height=64)</td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#ae253b81afa8f13e85c3a71b125c1b64b">GenerateModelPreview</a>(Transform model, int width=64, int height=64, bool shouldCloneModel=false)</td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#a607d8c54c3e95a407e4e05384a683f2c">GenerateModelPreviewWithShader</a>(Transform model, Shader shader, string replacementTag, int width=64, int height=64, bool shouldCloneModel=false)</td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#a6ffaedd38376b9945b3a8042edb4e8b9">MarkTextureNonReadable</a></td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#a8d82baa1a829ac910f24ba4745b7ed9a">OrthographicMode</a></td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#a20e1661559cb8661bef0366ed716b636">Padding</a></td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#a0228aca839b5c87896d25a7e21c4893a">PreviewDirection</a></td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_runtime_preview_generator.html#a536c660fb43b3362230d520f98aa546e">PreviewRenderCamera</a></td><td class="entry"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
